<template>
<div class="wrapper">
  <div class="left">
    <h3>Copy cryptocurrency portfolios</h3>
    <h5><b>Or earn coins by sharing your portfolio. It's free.</b></h5>
  </div>
  <div class="right">
    <app-button class="button-item"
    :buttonType="'floating'"
    :buttonValue="'Create Account'"
    v-scroll-to="{
      el: '#email-form',
      duration: 500,
      offset: 55,
    }"
    @click="onCreateAccountButtonClick"/>
  </div>
</div>
</template>

<script>
import AppButton from '@/components/AppButton';

export default {
  name: 'LandingPageSubnavbar',
  components: {
    AppButton,
  },
  methods: {
    onCreateAccountButtonClick() {
      // Focus input from a LandingPageEmailForm
      // Wait 0.5 seconds for scrollbar to scroll on the element position
      /* TODO: Hacky way */
      setTimeout(() => {
        // This worky ONLY if there's only one input element
        // inside 'landing-page-email' element.
        // And it must be our desired input
        const landingPageEmail = document.getElementById('landing-page-email');
        if (landingPageEmail) {
          landingPageEmail.getElementsByTagName('input')[0].focus();
        }
      }, 500);
    },
  },
};
</script>

<style lang="scss" scoped>
.wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;

  margin: 2.5em 0 8em 0;
  padding: 0;

  text-align: left;
  font-size: 1.5em;
}

.left {
  flex: 65;

  h5 {
    font-weight: 400;
  }
}

.right {
  flex: 35;

  display: flex;
  /* justify-content: space-between; */
  justify-content: center;

  .button-item {
    margin: 0;
    font-size: 0.675em;

    /* Fixes bug on Safari when button is behind LandingPage's svg wave */
    z-index: 9990;
  }
}

@media screen and (max-width: 768px) {
  .wrapper {
    display: block;
    text-align: center;

    .right {
      display: block;

      .button-item {
        margin-bottom: 1.5em;
      }
    }
  }
}
</style>
